Version: 2020.2
WebGL: Server configuration code samples
WebGL 图形

WebGL 浏览器兼容性

Unity WebGL 在某种程度上支持所有主流桌面浏览器。但是,不同浏览器的支持程度和预期性能会有所不同。请参阅下表,了解 Unity WebGL 内容相关的浏览器功能以及支持这些功能的浏览器。

请注意,移动设备目前不支持 Unity WebGL 内容。Unity WebGL 内容可能仍然有效,特别是在高端设备上,但许多当前设备的性能不够强大,也没有足够的内存来充分支持该内容。因此,Unity WebGL 尝试在移动端浏览器上加载内容时会显示警告消息(如果需要,可禁用警告)。

请注意,此兼容性表对于所述的具体浏览器版本有效。支持能力在将来的版本中应该会更进一步,但在以前的版本中可能不稳定。

桌面浏览器兼容性表
Mozilla Firefox 67 Google Chrome 75 Apple Safari 12.1 MS Edge 18
WebAssembly
WebAssembly(或 wasm)是一种适合编译到 Web 的可移植、占用空间小且加载速度快的格式。

Firefox 52 和更高版本。

Chrome 57 和更高版本。

Safari 11 或更高版本

Edge 16 或更高版本
WebGL 1.0
GPU 阻止列表适用。特定的旧显卡可能不支持 WebGL。有关详细信息,请参阅 Mozilla wiki 页面:阻止列表/被阻止的图形驱动程序 (Blocklisting/Blocked Graphics Drivers)Khronos wiki 页面:黑名单和白名单 (Blacklists and Whitelists)

GPU 阻止列表适用。特定的旧显卡可能不支持 WebGL。有关详细信息,请参阅 Mozilla wiki 页面:阻止列表/被阻止的图形驱动程序 (Blocklisting/Blocked Graphics Drivers)Khronos wiki 页面:黑名单和白名单 (Blacklists and Whitelists)
WebGL 2.0
(请参阅 WebGL 2.0

Firefox 51 和更高版本

Chrome 56 和更高版本
Web 音频
(请参阅 Web 音频
必须具备 Web 音频 API 才能在 Unity WebGL 内容中播放声音。
全屏支持
(请参阅全屏支持

Safari 10.1 或更高版本
光标锁定支持
(请参阅光标锁定支持

Edge 13 和更高版本。
游戏手柄支持
(请参阅游戏手柄支持
IndexedDB
对于数据缓存功能、PlayerPrefs 类和 WWW.LoadFromCacheOrDownload 使用的本地存储而言是必需的。

Firefox 42 及更早版本对于在 iFrame 中运行的内容不支持 IndexedDB。Firefox 43 和更高版本修复了此问题。

Safari 对于在 iFrame 中运行的内容不支持 IndexedDB。
WebSockets
对于网络而言是必需的。
WebRTC
对于 WebCamTexture 类而言是必需的。
asm.js AOT 编译
asm.js 是浏览器可专门优化的一个 JavaScript 子集。实现 asm.js 支持的浏览器也许能够更快地运行 Unity WebGL 内容,因为 Unity 使用 asm.js。
Large-Allocation Http 标头
帮助浏览器确保有足够的内存可用于加载内容(请参阅 Large-Allocation Http 标头

Firefox 53 和更高版本。
Brotli 压缩
减少构建大小(请参阅 Brotli 压缩

Safari 11 或更高版本




  • 2018–09–14 页面已修订
  • 在用户手册 5.6 中的此页面上首次添加了关于 Brotli 压缩的文档
  • 在 2019.1 中更新了最新的兼容性信息
WebGL: Server configuration code samples
WebGL 图形